varying vec2 texCoord;
uniform sampler2D tex;
uniform sampler2D texBase;
//NEEDS horblur.frag.glsl
//NEEDS verblur.frag.glsl 
void main(void)
{
 
	vec2 newTCoord=texCoord;
	
	vec3 baseCol = texture2D(tex,newTCoord).rgb;
	vec3 blurCol = texture2D(tex,newTCoord).rgb;
	float specBloom = baseCol.r+baseCol.g+baseCol.b;
	specBloom = pow(length(baseCol/4.0),4.0);
	//specBloom
	gl_FragColor = vec4(blurCol,1.0);
}